<?php
namespace Magento\OpenSearch\SearchAdapter\Mapper;

/**
 * Interceptor class for @see \Magento\OpenSearch\SearchAdapter\Mapper
 */
class Interceptor extends \Magento\OpenSearch\SearchAdapter\Mapper implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Elasticsearch\ElasticAdapter\SearchAdapter\Mapper $mapper)
    {
        $this->___init();
        parent::__construct($mapper);
    }

    /**
     * {@inheritdoc}
     */
    public function buildQuery(\Magento\Framework\Search\RequestInterface $request) : array
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'buildQuery');
        return $pluginInfo ? $this->___callPlugins('buildQuery', func_get_args(), $pluginInfo) : parent::buildQuery($request);
    }
}
